#ifndef CNGEOIP
#define CNGEOIP

#define CNGEOIP_STR_LEN		200
#define CNGEOIP_MAX_INFO_LEN	400

//#define CNGEOIP_USE_1251


struct cngeoip_result {
    unsigned long ip;
    char city_rus[CNGEOIP_STR_LEN];
    char city_eng[CNGEOIP_STR_LEN];
    char country_code[3];
    char country_rus[CNGEOIP_STR_LEN];
    char country_eng[CNGEOIP_STR_LEN];
    char region_rus[CNGEOIP_STR_LEN];
    char region_eng[CNGEOIP_STR_LEN];
    float geo_lon;
    float geo_lat;
};



void cngeoip_init();

void cnstats_to1251(char *);

int cngeoip_str2ip(char *, unsigned long *);

int cngeoip_lookup(char *, struct cngeoip_result *);

#endif
